# Disabled as  some modules are not in fedora
%global enable_tests 0

%global module_name event-stream

Name:           nodejs-%{module_name}
Version:        3.3.4
Release:        1%{?dist}
Summary:        Construct pipes of streams of events

License:        MIT
URL:            https://github.com/dominictarr/event-stream
Source0:        https://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(duplexer)
BuildRequires:  npm(from)
BuildRequires:  npm(map-stream)
BuildRequires:  npm(through)

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(it-is)
BuildRequires:  npm(asynct)
BuildRequires:  npm(stream-spec)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules

%nodejs_fixdep map-stream ~0.x
%nodejs_fixdep split
%nodejs_fixdep stream-combiner ~0.x

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
set -e; for t in test/*.js; do node $t; done
%endif

%files
%doc readme.markdown LICENCE examples
%{nodejs_sitelib}/%{module_name}

%changelog
* Wed Jul 27 2016 Jared Smith <jsmith@fedoraproject.org> - 3.3.4-1
- Update to upstream 3.3.4 release
- Update tests to add require test
- Relax dependency on npm(split) to allow upgrade

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 04 2015 Parag Nemade <pnemade AT redhat DOT com> - 3.2.2-1
- update to 3.2.2 upstream release

* Thu Jan 08 2015 Parag Nemade <pnemade AT redhat DOT com> - 3.2.1-1
- Update to 3.2.1

* Sun Dec 07 2014 Parag Nemade <pnemade AT redhat DOT com> - 3.1.7-1
- Initial packaging

